"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var helpTopic_1 = require("../helpTopic");
var AwardsCommand = /** @class */ (function () {
    function AwardsCommand(awards) {
        this.name = 'awards';
        this.description = 'shows awards';
        this.awards = awards;
        this.helpTopic = new helpTopic_1.HelpTopic(this, {
            synopsis: 'awards [-y]',
            options: {
                '-y': 'List all awards earned in the -y year'
            },
            examples: [
                {
                    cmd: 'awards -y 2018',
                    description: 'The following command shows all awards earned in the 2018 year'
                }
            ]
        });
    }
    AwardsCommand.prototype.run = function (args) {
        var data = this.awards;
        if (args.y) {
            data = data.filter(function (a) { return a.year == args.y; });
        }
        return data;
    };
    return AwardsCommand;
}());
exports.AwardsCommand = AwardsCommand;
//# sourceMappingURL=AwardsCommand.js.map