"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var helpTopic_1 = require("../helpTopic");
var EducationCommand = /** @class */ (function () {
    function EducationCommand(education) {
        this.name = 'education';
        this.description = 'shows education';
        this.education = education;
        this.helpTopic = new helpTopic_1.HelpTopic(this, {
            synopsis: 'education [-y]',
            options: {
                '-y': 'List all entries which contains the -y year between startYear and endYear'
            },
            examples: [
                {
                    cmd: 'education -y 2018',
                    description: 'The following command shows all education entries that happened in the 2018 year'
                }
            ]
        });
    }
    EducationCommand.prototype.run = function (args) {
        var data = this.education;
        if (args.y) {
            data = data.filter(function (e) { return e.startYear <= args.y && e.endYear >= args.y; });
        }
        return data;
    };
    return EducationCommand;
}());
exports.EducationCommand = EducationCommand;
//# sourceMappingURL=EducationCommand.js.map