"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var helpTopic_1 = require("../helpTopic");
var SkillsCommand = /** @class */ (function () {
    function SkillsCommand(skills) {
        this.name = 'skills';
        this.description = 'shows skills';
        this.skills = skills;
        this.helpTopic = new helpTopic_1.HelpTopic(this, {
            synopsis: 'skills [-l]',
            options: {
                '-l': 'List all skills in which the level is -l'
            },
            examples: [
                {
                    cmd: 'skills -l advanced',
                    description: 'The following command shows all skills in which the level is advanced'
                }
            ]
        });
    }
    SkillsCommand.prototype.run = function (args) {
        var data = this.skills;
        if (args.l) {
            data = data.filter(function (s) { return s.level === args.l; });
        }
        return data;
    };
    return SkillsCommand;
}());
exports.SkillsCommand = SkillsCommand;
//# sourceMappingURL=SkillsCommand.js.map