"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var command_1 = require("../../cli/command");
var Json = /** @class */ (function () {
    function Json(object) {
        this.data = object;
    }
    Json.prototype.getName = function () {
        return this.data.name;
    };
    Json.prototype.getBio = function () {
        return this.data.bio;
    };
    Json.prototype.getEducation = function () {
        return this.data.education || [];
    };
    Json.prototype.getWork = function () {
        return this.data.work || [];
    };
    Json.prototype.getVolunteer = function () {
        return this.data.volunteer || [];
    };
    Json.prototype.getAwards = function () {
        return this.data.award || [];
    };
    Json.prototype.getPublications = function () {
        return this.data.publication || [];
    };
    Json.prototype.getSkills = function () {
        return this.data.skill || [];
    };
    Json.prototype.getLanguages = function () {
        return this.data.language || [];
    };
    Json.prototype.fill = function (resume) {
        resume.name = this.getName();
        resume.bio = this.getBio();
        resume.addEducation(this.getEducation());
        resume.addWork(this.getWork());
        resume.addVolunteer(this.getVolunteer());
        resume.addAwards(this.getAwards());
        resume.addPublications(this.getPublications());
        resume.addSkills(this.getSkills());
        resume.addLanguages(this.getLanguages());
    };
    Json.prototype.getCommands = function () {
        var commands = [];
        if (this.data.name) {
            commands.push(new command_1.AnyStringCommand('name', 'shows name', this.data.name));
        }
        if (this.data.bio) {
            commands.push(new command_1.AnyStringCommand('bio', 'shows bio', this.data.bio));
        }
        if (this.data.education && this.data.education.length) {
            commands.push(new command_1.EducationCommand(this.data.education));
        }
        if (this.data.work && this.data.work.length) {
            commands.push(new command_1.WorkCommand(this.data.work));
        }
        if (this.data.volunteer && this.data.volunteer.length) {
            commands.push(new command_1.VolunteerCommand(this.data.volunteer));
        }
        if (this.data.awards && this.data.awards.length) {
            commands.push(new command_1.AwardsCommand(this.data.awards));
        }
        if (this.data.publications && this.data.publications.length) {
            commands.push(new command_1.PublicationsCommand(this.data.publications));
        }
        if (this.data.skills && this.data.skills.length) {
            commands.push(new command_1.SkillsCommand(this.data.skills));
        }
        if (this.data.languages && this.data.languages.length) {
            commands.push(new command_1.LanguagesCommand(this.data.languages));
        }
        return commands;
    };
    return Json;
}());
exports.Json = Json;
//# sourceMappingURL=Json.js.map